# CALL_DEF_SPOTLIGHTSRCREC Struct Reference

`#include <InterfaceGraphic_Portability.hxx>`

## Data Fields

int | colr_type
CALL_DEF_RGB | colr
CALL_DEF_POINT3 | pos
CALL_DEF_VECTOR3 | dir
float | exp
float | coef [2]
float | angle

## Field Documentation

float CALL_DEF_SPOTLIGHTSRCREC::angle

float CALL_DEF_SPOTLIGHTSRCREC::coef[2]

CALL_DEF_RGB CALL_DEF_SPOTLIGHTSRCREC::colr

int CALL_DEF_SPOTLIGHTSRCREC::colr_type

CALL_DEF_VECTOR3 CALL_DEF_SPOTLIGHTSRCREC::dir

float CALL_DEF_SPOTLIGHTSRCREC::exp

CALL_DEF_POINT3 CALL_DEF_SPOTLIGHTSRCREC::pos

The documentation for this struct was generated from the following file:

- InterfaceGraphic_Portability.hxx